"use strict";

const core = require("./core");
const scssTransform = require("./transforms/scss");
const dummyTransform = require("./transforms/dummy");
const runner = require("./core/runner");

let scssTask = core.defineTask(() => {
	return core.pipeline([
		core.watch("src/client/scss/**/*.scss"),
		dummyTransform(),
		scssTransform(),
		core.saveToDirectory("public/css")
	]);
});

// scssTask();

runner(scssTask);
